summaryrefslogtreecommitdiffstats
path: root/os-plugins
diff options
context:
space:
mode:
authorBastian Wissler2009-03-12 17:33:41 +0100
committerBastian Wissler2009-03-12 17:33:41 +0100
commit198b73ba8649a50ef4d7d36b0716b154a5f78019 (patch)
tree6d64696182dc0676d6e7bc10bf8b606f4dc12935 /os-plugins
parentremoved copying of obsolete and non-existing scripts (diff)
downloadcore-198b73ba8649a50ef4d7d36b0716b154a5f78019.tar.gz
core-198b73ba8649a50ef4d7d36b0716b154a5f78019.tar.xz
core-198b73ba8649a50ef4d7d36b0716b154a5f78019.zip
xserver plugin:
* fixed wrong fglrx installation routine for ubuntu-8.10 * added checks for not properly installed pagackes git-svn-id: http://svn.openslx.org/svn/openslx/openslx/trunk@2730 95ad53e4-c205-0410-b2fa-d234c58c8868
Diffstat (limited to 'os-plugins')
-rwxr-xr-xos-plugins/plugins/xserver/files/ati-install.sh2
-rwxr-xr-xos-plugins/plugins/xserver/files/suse-gfx-install.sh29
2 files changed, 24 insertions, 7 deletions
diff --git a/os-plugins/plugins/xserver/files/ati-install.sh b/os-plugins/plugins/xserver/files/ati-install.sh
index 22fde4a1..29eee886 100755
--- a/os-plugins/plugins/xserver/files/ati-install.sh
+++ b/os-plugins/plugins/xserver/files/ati-install.sh
@@ -5,7 +5,7 @@ cd /opt/openslx/plugin-repo/xserver
DISTRO=$1
case $DISTRO in
- ubuntu-8.10)
+ ubuntu-8.10*)
./ubuntu-8.10-gfx-install.sh ati ${DISTRO}
;;
diff --git a/os-plugins/plugins/xserver/files/suse-gfx-install.sh b/os-plugins/plugins/xserver/files/suse-gfx-install.sh
index fba4d04f..b46d6357 100755
--- a/os-plugins/plugins/xserver/files/suse-gfx-install.sh
+++ b/os-plugins/plugins/xserver/files/suse-gfx-install.sh
@@ -180,14 +180,25 @@ if [ "$1" = "nvidia" ]; then
wget ${RPM} > /dev/null 2>&1
fi
# We use rpm2cpio from suse to extract
- rpm2cpio ${RNAME} | cpio -id > /dev/null 2>&1
+ if [ -f ${RNAME} ]; then
+ rpm2cpio ${RNAME} | cpio -id > /dev/null 2>&1
+ fi
done
mv ./usr/X11R6/lib/* ./usr/lib/
+ if [ ! -f ./usr/lib/libGLcore.so.1 ]; then
+ echo " NVIDIA files failed to install via zypper!!"
+ exit
+ fi
rm -rf ../usr
- mv ./usr ..
- find lib/ -name "*.ko" -exec mv '{}' ../modules \;
-
+ if [ -d ./usr ]; then
+ mv ./usr ..
+ fi
+ find lib/ -name "*.ko" -exec mv '{}' ../modules \; > /dev/null 2>&1
+ if [ $? -ne 0 ]; then
+ echo " Could not find kernel module nvidia.ko!";
+ fi
+
cd ..
;;
esac
@@ -273,8 +284,14 @@ if [ "$1" = "ati" ]; then
wget ${RPM} > /dev/null 2>&1
fi
# We use rpm2cpio from suse to extract -> propably new rpm version
- rpm2cpio ${RNAME} | cpio -id > /dev/null 2>&1
+ if [ -f ${RNAME} ]; then
+ rpm2cpio ${RNAME} | cpio -id > /dev/null 2>&1
+ fi
done
+ if [ ! -f ./usr/lib/libGLcore.so.1 ]; then
+ echo " ATI files failed to install via zypper!!"
+ exit
+ fi
mv ./usr/X11R6/lib/* ./usr/lib/
mv ./usr ..
@@ -282,7 +299,7 @@ if [ "$1" = "ati" ]; then
find lib/ -name "*.ko" -exec mv {} ../modules \; >/dev/null 2>&1
if [ $? -ne 0 ]; then
- echo "Could not find kernel module fglrx.ko!";
+ echo " Could not find kernel module fglrx.ko!";
fi
;;